import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { UploadResponseDto } from '../dtos/response';
import { Document } from '../entities';

@Injectable()
export class DocumentRepository {
  constructor(@InjectRepository(Document) private documentRepository: Repository<Document>) {}

  createDocument(document: UploadResponseDto) {
    return this.documentRepository.save(
      this.documentRepository.create({
        name: document.name,
        documentType: document.documentType,
        extension: document.extension,
      }),
    );
  }
}
